## mysql-workbench 8.0.19+dfsg

=== debian/changelog ===
mysql-workbench (8.0.19+dfsg-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:07:38 +0000

mysql-workbench (8.0.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "libproj-dev".
  * Re-named: "debian/TODO.Debian" --> "debian/TODO".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jan 2020 13:37:10 +1100

mysql-workbench (8.0.18+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * Build-Depends += "rapidjson-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Nov 2019 12:00:15 +1100

mysql-workbench (8.0.17+dfsg-2) unstable; urgency=medium

  * Removed "-Werror" flag to avoid FTBFS on GCC updates (Closes: #939891).
    Thanks, Bas Couwenberg.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 01 Oct 2019 11:14:02 +1000
