=== debian/changelog ===
mysql-workbench (8.0.26+dfsg-1ubuntu1) impish; urgency=medium

  * debian/patches/disablewarnings.patch: Disable Werror flag (again).
  * disable mariadb-build.patch, since we don't build against mariadb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Oct 2021 16:27:22 +0000

mysql-workbench (8.0.26+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + transitioned to Python3 (Closes: #937102, #953138, #937102).
  * Removed dependency on "g++-8" (Closes: #944177).
  * Build-Depends:
    = libssh-dev (>= 0.9.5~)
    = libantlr4-runtime-dev (>= 4.9+dfsg-1.1~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 26 Jul 2021 12:38:20 +1000
