=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: database
 Priority: optional
 Standards-Version: 4.4.1
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper-compat (= 12) ,dh-python
-    ,g++-8
  ,cmake ,perl
  ,autoconf ,automake ,libtool
  ,bison ,flex ,swig
  ,doxygen
  ,gettext
  ,antlr4 (>= 4.6~)
- ,libantlr4-runtime-dev
+ ,libantlr4-runtime-dev (>= 4.9+dfsg-1.1~)
  ,libboost-dev
  ,libcairo2-dev
  ,libfreetype6-dev
@@ -21,8 +21,8 @@
  ,libglib2.0-dev
 # ,libgnome-keyring-dev
     ,libsecret-1-dev
-    ,libssh-dev (>= 0.8.1~)
-###    ,libssh2-1-dev (>= 1.8.0~)
+    ,libssh-dev (>= 0.9.5~)
+#   ,libssh-gcrypt-dev
     ,default-jre-headless
  ,libgtk-3-dev
  ,libgtkmm-3.0-dev
@@ -38,8 +38,8 @@
  ,libvsqlitepp-dev
  ,libxml2-dev
  ,libzip-dev
- ,python-dev
- ,python-paramiko
+ ,python3-dev
+ ,python3-paramiko
  ,rapidjson-dev
  ,unixodbc-dev
  ,uuid-dev
@@ -50,13 +50,12 @@
 
 Package: mysql-workbench
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
  ,mysql-workbench-data (= ${source:Version})
- ,python-mysql.connector
- ,python-paramiko
- ,python-pexpect
- ,python-pyodbc (>= 2.1.8)
- ,python-pysqlite2
+ ,python3-mysql.connector
+ ,python3-paramiko
+ ,python3-pexpect
+ ,python3-pyodbc (>= 2.1.8)
 Recommends: ttf-bitstream-vera, mysql-utilities
            ,default-mysql-client | virtual-mysql-client
 #Suggests: gnome-keyring
