=== debian/rules ===
--- 
+++ 
@@ -9,19 +9,20 @@
 ## "bindnow" causes run-time errors:
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
-# minimise needless linking
-export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
-
-export DEB_CPPFLAGS_MAINT_APPEND= -std=c++11 -Wno-error=deprecated-declarations
+export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations
 # -Wno-error=deprecated-copy -Wno-error=format-overflow=
 # -std=c++11
+
+## Under fakeroot ccache fails because
+## CCACHE_TEMPDIR=="/run/user/0/ccache-tmp" fails due to lack of permission.
+export CCACHE_TEMPDIR:=/tmp/ccache-tmp
 
 export ANTLR_JAR_PATH=/usr/share/java/antlr4.jar
 
 MAX_PARALLEL=--max-parallel=3
 
 %:
-	dh $@ $(MAX_PARALLEL) --with python2
+	dh $@ $(MAX_PARALLEL) --with python3
 
 override_dh_clean:
 	$(RM) -rv CMakeFiles ext/antlr-runtime/.libs
@@ -34,9 +35,9 @@
             -DWITH_ANTLR_JAR=${ANTLR_JAR_PATH} \
             -DANTLR4_INCLUDE_DIRS="/usr/include/antlr4-runtime" \
             -DREAL_EXECUTABLE_DIR=/usr/lib/$(DEB_SOURCE) \
+            -DOpenGL_GL_PREFERENCE=GLVND \
         ;
 
-#            -DOpenGL_GL_PREFERENCE=GLVND \
 
 override_dh_auto_build:
 	# rebuild files generated by flex/bison
@@ -60,8 +61,8 @@
 	dh_link -p$(DEB_SOURCE) \
             usr/lib/$(DEB_SOURCE)/mysql-workbench usr/bin/mysql-workbench
 
-override_dh_python2:
-	dh_python2 --no-ext-rename
+override_dh_python3:
+	dh_python3 --no-ext-rename
 
 override_dh_compress:
 	dh_compress --exclude=.mwb
