## mysql-workbench 8.0.32+dfsg

=== debian/changelog ===
mysql-workbench (8.0.32+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New patch to fix FTBFS with GCC 13 (Closes: #1051433).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 24 Nov 2023 21:26:54 +1100

mysql-workbench (8.0.32+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fixed "non-installable" bug (Closes: #1009657).
  * Standards-Version: 4.6.1.
  * Updated watch file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 Mar 2023 14:10:41 +1100
