=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mysql-workbench
 Section: database
 Priority: optional
-Standards-Version: 4.4.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.1
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper-compat (= 12) ,dh-python
  ,cmake ,perl
@@ -56,7 +55,7 @@
  ,python3-paramiko
  ,python3-pexpect
  ,python3-pyodbc (>= 2.1.8)
-Recommends: ttf-bitstream-vera, mysql-utilities
+Recommends: ttf-bitstream-vera
            ,default-mysql-client | virtual-mysql-client
 #Suggests: gnome-keyring
 Description: MySQL Workbench - a visual database modeling, administration and queuing tool
