=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## "bindnow" causes run-time errors:
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
-export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations
+export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized -Wno-error=c++20-compat -Wno-error=overloaded-virtual=
 # -Wno-error=deprecated-copy -Wno-error=format-overflow=
 # -std=c++11
 
@@ -31,6 +31,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
             -DUSE_UNIXODBC=ON \
+              -DUNIXODBC_LIBRARIES="-lodbc" \
             -DCMAKE_INSTALL_PREFIX=/usr \
             -DWITH_ANTLR_JAR=${ANTLR_JAR_PATH} \
             -DANTLR4_INCLUDE_DIRS="/usr/include/antlr4-runtime" \
