## mysql-workbench 8.0.41+dfsg

=== debian/changelog ===
mysql-workbench (8.0.41+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop unused libproj-dev build dependency (Closes: #1050772).

  [ Dmitry Smirnov ]
  * New upstream release.
    + Fixed FTBFS with libxml2 2.12 (Closes: #1074563).
    + Fixed FTBFS with gdal-3.10 (Closes: #1085320).
  * New patch to fix FTBFS with swig-4.3.
  * New patch to undo some ANTLR changes that caused FTBFS.
  * Updated upstream signing key.
  * rules: --max-parallel=8
  * rules: CPPFLAGS += "-Wno-error=missing-field-initializers".
  * Build-Depends:
    - libpcre3-dev
    - libfreetype6-dev
    + libfreetype-dev
    - libgl1-mesa-dev
    + libgl-dev
  * Standards-Version: 4.7.2

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Mar 2025 23:42:53 +1100
