=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mysql-workbench
 Section: database
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper-compat (= 12) ,dh-python
@@ -14,9 +14,9 @@
  ,libantlr4-runtime-dev (>= 4.9+dfsg-1.1~)
  ,libboost-dev
  ,libcairo2-dev
- ,libfreetype6-dev
+ ,libfreetype-dev
  ,libgdal-dev
- ,libgl1-mesa-dev
+ ,libgl-dev
  ,libglib2.0-dev
 # ,libgnome-keyring-dev
     ,libsecret-1-dev
@@ -28,10 +28,8 @@
  ,liblua5.1-0-dev
  ,default-libmysqlclient-dev
  ,libmysqlcppconn-dev (>= 1.1.12~)
- ,libpcre3-dev
  ,libpixman-1-dev
  ,libpng-dev
- ,libproj-dev
  ,libsqlite3-dev
  ,libtinyxml-dev (>= 2.6.2)
  ,libvsqlitepp-dev
