=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## "bindnow" causes run-time errors:
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
-export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized -Wno-error=c++20-compat -Wno-error=overloaded-virtual=
+export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized -Wno-error=c++20-compat -Wno-error=overloaded-virtual -Wno-error=missing-field-initializers
 # -Wno-error=deprecated-copy -Wno-error=format-overflow=
 # -std=c++11
 
@@ -19,7 +19,7 @@
 
 export ANTLR_JAR_PATH=/usr/share/java/antlr4.jar
 
-MAX_PARALLEL=--max-parallel=3
+MAX_PARALLEL=--max-parallel=8
 
 %:
 	dh $@ $(MAX_PARALLEL) --with python3
